Twig Manager (добавьте поддержку .twig для вашего Opencart 2.x)

  • Twig Manager (добавьте поддержку .twig для вашего Opencart 2.x)

Количество скачиваний: 8

Количество скачиваний: 0

Модель: Twig Manager

Категории: Модули,

Версии: v3.0, v2.3, v2.2, v2.1, v2.0,

Twig — это мощный движок тем, реализованный в Opencart v3.x. Это означает, что вам нужно создать два разных расширения для работы с OC2.x и OC3.x или нужно? Мы создали Twig-менеджер, чтобы вы могли разрабатывать свои расширения в Twig, а затем портировать их на OC2.x. Сосредоточьтесь на развитии, а не совместимости.



Как это работает


  1. Установите Twig Manager через установщик расширений
  2. Обновить кеш модификаций
  3. Теперь вы можете создавать файлы представлений в формате .twig.




Вопросы и ответы

В. Как реализована поддержка веток?
О. Существует небольшой файл ocmod, который добавляет 2 строки кода в ваш файл system/engine/loader.php. Он проверяет, доступен ли файл ветки для маршрутизации, и передает этот файл через компилятор ветки. Если он не находит файл ветки, он возвращается к .tpl.

Вопрос. Когда я удалил Twig Manager, мой сайт сломался. Я вижу ошибку 500!
О. Просто очистите кеш модификаций через FTP в системе/хранилище/модификация - удалите все файлы. Это происходит, когда вы удаляете код, но не модификацию. В последних версиях мы добавили проверку, чтобы избежать этой ошибки, в случае если такое удаление произойдет.

Вопрос. Могу ли я использовать это в своей разработке и продавать свои расширения с помощью этого модуля?
А. Абсолютно. Вы можете использовать это расширение по своему усмотрению. Вы можете создавать и продавать расширения с помощью Twig Manager.

Opencart
Версии 3.0.3.0, 3.0.3.1, 3.0.3.2, 3.0.3.3, 3.0.3.5, 3.0.3.6, 3.0.3.7, 3.0.3.8, 2.0.0.0, 2.0. 1.0, 2.0.1.1, 2.0.2.0, 2.0.3.1, 2.1.0.1, 2.1.0.2, 2.2.0.0, 2.3.0.0, 2.3.0.1, 2.3.0.2

Написать отзыв

Примечание: HTML разметка не поддерживается! Используйте обычный текст.
    Плохо           Хорошо
Защита от роботов